=== debian/changelog ===
edb (1.31-3) unstable; urgency=low

  [ Jari Aalto ]
  * Move to packaging format "3.0 (quilt)".
  * debian/clean
    - Delete test data.
  * debian/compat
    - Update to 9.
  * debian/control
    - (Build-Depends): Update to debhelper 9.
    - (Build-Depends-Indep): Add emacs24, rm emacs23, emacs22.
    - (Standards-Version): Update to 3.9.4.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Update to format 1.0
  * debian/debian-vars.mk
    - Update variables.
  * debian/emacsen-startup
    - (edb-debian-after-find-file): Preserve point, correct hook treatment.
      Patch thanks to Kevin Ryde <user42@zip.com.au> (Closes: #671585).
  * debian/patches
    - (10): New. Use DESTDIR.
    - (20): New. Use cl-flet.
    - (22): New. Use called-interactively-p.
  * debian/rules
    - Udate to dh(1)
    - (override_dh_auto_install): Delete duplicate file
      arb-demo and unneeded (see examples/README) symlinks to /dev/null
      and /etc/passwd.

  [ Tatsuya Kinoshita ]
  * debian/emacsen-install
    - (Install): Ignore old versions of GNU Emacs.
  * debian/control
    - (Depends): Add emacs24, rm emacs23, emacs22.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 03 Jul 2013 12:41:07 +0900

edb (1.31-2) unstable; urgency=low

  * debian/docs
    - New. Install README, NEWS etc. (Closes: #544283).
  * debian/emacsen-startup
    - (edb-debian-inhibit-edb): Add documentation string.
    - (edb-debian-after-find-file): Improve documentation string.
  * debian/control
    - (Depends): Add emacs.
    - (Section): Change misc to lisp.
  * debian/emacsen-install
    - (Install): Adjust displayed message.
  * debian/rules
    - (clean): remove BYTE-COMPILE.el.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 20 Dec 2009 18:05:05 +0200

edb (1.31-1) unstable; urgency=low

  [ Jari Aalto ]
  * GENERAL INFORMATION
    - Read NEWS.Debian for incompatible changes.
  * New upstream release (Closes: #303785).
    - Compilation errors on install (Closes: #242105).
    - Please add info-dir-section to your info files (Closes: #528870).
      Included in original file doc/edb.texi,
  * debian/control
    - (Build-Depends): Update to debhelper 7. Remove dpatch.
    - (Build-Depends-Indep): Add emacs23 | emacs22 | emacs-snapshot.
      Remove emacs21.
    - (Depends): Add make. Add emacs23 (Closes: #542206), remove emacs21.
      emacs23 | emacs22 | emacs-snapshot.
    - (Depends): Add make. Move emacs* packages to Build-Depends-Indep.
      Add ${misc:Depends} (lintian).
      Add "dpkg (>= 1.15.4) | install-info" (lintian).
    - (Homepage): New field. Point to current upstream.
    - (Standards-Version): update to 3.8.3.
    - (Vcs-*): New fields.
  * debian/copyright
    - Update upstream information: current upstream and URL.
    - Adjust layout to match latest dh-make template.
    - Corrected Copyright from GPL-2 to GPL as this is the right
      edb license.
    - Spell out GPL-2 (lintian).
  * debian/emacsen-install
    - Rewrite for new upstream version.
  * debian/emacsen-remove
    - Adjust variable syntax and FLAVOR test.
  * debian/emacsen-startup
    - Rewrite for new upstream version.
    - Rename custom functions and variables to clean
      name space 'edb-debian-*'.
  * debian/{patches,patches-original}/
    - Discard all old patches; start from fresh with new edb.
  * debian/{prerm,postinst}
    - Delete; not needed with debhelper 7.
  * debian/README.Debian
    - Remove old patch information to previous releases.
    - Add introduction to EDB.
  * debian/rules
    - Adjust to new upstream release.
    - (install): use dh_prep (lintian).

  [ Tatsuya Kinoshita ]
  * debian/emacsen-startup
    - Define edb-debian-inhibit-edb to prevent a void-variable error.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 30 Aug 2009 15:04:09 +0900

edb (1.21-17) unstable; urgency=low

  * OVERALL
    - Convert hand written patch system to dpatch.
  * debian/*
    - Remove trailing whitespaces from all files.
  * debian/README.Debian-source
    - New. Explain what changed after package adoption.
  * debian/compat
     - New file.
  * debian/control
    - (Build-Depands): Added dpatch.
    - (Depends): Add emacs22 to the beginning. (Closes: #433974).
  * debian/copyright
    - Update download URL; old one non-existent.
  * debian/patches/*
    - One single dpatch to include all previous changes.
  * debian/patches-original/*
    - Store the original paches including
      some email messages for historial reference.
  * debian/rules
    - Remove DH_COMPAT, use dpatch and *.mk files.
  * debian/watch
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 13 Sep 2007 10:11:49 +0300

edb (1.21-16) unstable; urgency=low

  * debian/control
    - (Section): Change from 'utils' => 'misc' according to ftp-masters
      message: 'package says section is utils, override says misc'.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 19 Nov 2006 18:43:20 +0200

edb (1.21-15) unstable; urgency=low

  * New maintainer (Orphaned; Closes: #353629).
  * Apply patch by Tatsuya Kinoshita <tats@debian.org> to fix
    debian/control (Build-Depends, Build-Depends-Indep, Depends),
    debian/copyright (Proper copyright year, author, license),
    debian/emacsen-install (added "-q" during byte compilation and
    *.elc cleanup), debian/emacsen-remove (simplified "emacs" treatment),
    debian/emacsen-startup (better init implementation)
  * debian/conffiles
    - Remove file. Had entry "/etc/emacs/site-start.d/50edb.el". This is
      automatically added by debhelper.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 24 Oct 2006 20:07:51 +0300

edb (1.21-14) unstable; urgency=low

  * debian/control: standards 3.6.2.
    (Build-Depends): Added version number to debhelper, this fixes lintian
    warning package-uses-deprecated-debhelper-compat-version
  * debian/rules: use install(1) and not cp(1) for *.el files.
  * debian/copyright: improved layout. Added copyright holder.


