=== debian/control ===
Source: edb
Section: lisp
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Uploaders: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: texinfo, emacs24 | emacs-snapshot
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/edb.git
Vcs-Git: git://anonscm.debian.org/collab-maint/edb.git
Homepage: http://www.gnuvola.org/software/edb

Package: edb
Architecture: all
Depends: ${misc:Depends}, emacs | emacs24 | emacs-snapshot, make, dpkg (>= 1.15.4) | install-info
Description: database program for GNU Emacs
 EDB is a database program for GNU Emacs. It permits you to
 manipulate structured (or not-so-structured) data within
 Emacs and provides many of the usual database features.
