=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = edb

include debian/debian-vars.mk

override_dh_clean:
	[ ! -f GNUMakefile ] || $(MAKE) clean
	find . -name GNUmakefile \
		-o -name "*[#~]*" \
		| xargs -r rm
	dh_clean

override_dh_auto_test:
	# Ignore tests and FAIL: skram.test

override_dh_auto_install:
	# target: install call make
	$(MAKE) DESTDIR=debian/edb install

	# Don't need compiled files
	rm -f $(PKGLISPDIR)/*.elc

	# The 'make install' doesn't install all files. Do it by hand.
	install -m 644 lisp/*.el  $(PKGLISPDIR)

	# But do not include these, which are not edb-* namespace
	rm	$(PKGLISPDIR)/connection.el \
		$(PKGLISPDIR)/state.el \
		$(PKGLISPDIR)/system.el

	# We need these in emacsen-install
	#
	# The byte compilation is real strange. The
	# bfuncs::edb-bfunc-make-all calls 'make', which reads
	# GNUmakefile with some hackery to print out variables (*.el
	# file lists) stored there. So GNUmakefile must be avalable
	# for 'edb-bfunc-make-all'.

	install -m 644 lisp/bfuncs lisp/GNUmakefile $(PKGLISPDIR)

	# debhelper will handle this
	rm -f $(INFODIR)/dir*

	# Install examples

	install -m 755 -d $(PKGDOCDIR)
	tar -cf - examples | tar -C $(PKGDOCDIR) -xf -

	# This file is duplicate with arb-demo-regexp
	rm -f $(PKGDOCDIR)/examples/arb-demo

	# Delete unused symlinks
	rm -f $(PKGDOCDIR)/examples/passwd $(PKGDOCDIR)/examples/null

override_dh_installinfo:
	dh_installinfo doc/edb.info

override_dh_compress:
	# Do not compress EDB example data files
	dh_compress -X.edb -X.dba -X.fmt -X.dat

%:
	dh $@

# End of file
