=== debian/watch ===
version=3
http://www.gnuvola.org/software/edb/ .*edb-([\d.]+).tar.gz
